package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "interestedRRI")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aInterestedRRI {

	@XmlElement(name = "ID")
	private String ID;
	@XmlElement(name = "name")
	private String name;
	@XmlElement(name = "ape1")
	private String ape1;
	@XmlElement(name = "ape2")
	private String ape2;
	@XmlElement(name = "personType")
	private String personType;
	@XmlElement(name = "language")
	private String language;
	@XmlElement(name = "sexo")
	private String sexo;

	@XmlElement(name = "account")
	private Ad74aAccount account;

	@XmlElement(name = "interestedInLaw")
	private String interestedInLaw;

	public String getID() {
		return ID;
	}

	public void setID(String iD) {
		ID = iD;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getApe1() {
		return ape1;
	}

	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}

	public String getApe2() {
		return ape2;
	}

	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}

	public String getPersonType() {
		return personType;
	}

	public void setPersonType(String personType) {
		this.personType = personType;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getSexo() {
		return sexo;
	}

	public void setSexo(String sexo) {
		this.sexo = sexo;
	}

	public Ad74aAccount getAccount() {
		return account;
	}

	public void setAccount(Ad74aAccount account) {
		this.account = account;
	}

	public String getInterestedInLaw() {
		return interestedInLaw;
	}

	public void setInterestedInLaw(String interestedInLaw) {
		this.interestedInLaw = interestedInLaw;
	}

}
